.cnblogs-markdown{
    font-size: 16px !important;
    background: #F8F8F8!important;
    font-family: 'Consolas','Microsoft YaHei'!important;
}
.cnblogs-markdown .hljs{
    font-size: 15px !important;
    font-family: 'Consolas','Microsoft YaHei'!important;
}
/*修改折叠代码块*/
#cnblogs_post_body details summary:hover
{
    cursor: pointer;/*鼠标放上去显示小手*/
    color:plum;/*鼠标放上去字体变为蓝色*/
}
/* //复制功能
.cnblogs-markdown pre{
    position:relative
}
.cnblogs-markdown pre>span{
    position:absolute;
    top:0;right:0;border-radius:2px;padding:0 10px;
    font-size:12px;background:rgba(0,0,0,0.4);
    color:#fff;cursor:pointer;display:none
}
.cnblogs-markdown pre:hover>span{display:block}
.cnblogs-markdown pre>.copyed{background:#67c23a}
//高亮功能
pre{white-space:pre;word-wrap:normal} */
.cnblogs-markdown .hljs{display:block;overflow-x:auto;padding:.5em;background:#23241f!important;color:#FFF;white-space:pre;word-break:normal}.hljs,.hljs-tag,.hljs-subst{color:#f8f8f2}.hljs-strong,.hljs-emphasis{color:#a8a8a2}.hljs-bullet,.hljs-quote,.hljs-number,.hljs-regexp,.hljs-literal,.hljs-link{color:#ae81ff}.hljs-code,.hljs-title,.hljs-section,.hljs-selector-class{color:#a6e22e}.hljs-strong{font-weight:bold}.hljs-emphasis{font-style:italic}.hljs-keyword,.hljs-selector-tag,.hljs-name,.hljs-attr{color:#f92672}.hljs-symbol,.hljs-attribute{color:#66d9ef}.hljs-params,.hljs-class .hljs-title{color:#f8f8f2}.hljs-string,.hljs-type,.hljs-built_in,.hljs-builtin-name,.hljs-selector-id,.hljs-selector-attr,.hljs-selector-pseudo,.hljs-addition,.hljs-variable,.hljs-template-variable{color:#e6db74}.hljs-comment,.hljs-deletion,.hljs-meta{color:#75715e}function echo(stringA,stringB){var hello="你好";alert("hello world")}

#topics .postBody .cnblogs-markdown pre{
  white-space: pre;
  position: relative;
}

//改良版复制按钮
.cnblogs-markdown pre {
  position: relative;
  white-space: pre;
}
.cnblogs-markdown pre > span {
  position: absolute;
  top: 0;
  right: 0;
  border-radius: 3px;
  padding:0 10px;
  font-size: 12px;
  background: #fff;
  color: #000;
  cursor: pointer;
  display:none;
  margin:8px 10px;
  transition: background .5s;
  -moz-transition: background .5s;
  -webkit-transition: background .5s;
  -o-transition: background .5s;
}
.cnblogs-markdown pre > span:hover {
  background: #ddd
}
.cnblogs-markdown pre:hover > span {
  display:block;
}


